设为首页收藏本站

恩山无线论坛

 找回密码
 立即注册

QQ登录

只需一步,快速开始

搜索
查看: 1464|回复: 13

OpenWrt和LEDE都不支持K3C的CPU,官改或第三方固件估计得等了

[复制链接]
发表于 2017-8-13 16:17 | 显示全部楼层 |阅读模式
本帖最后由 qiao99 于 2017-8-13 17:52 编辑

试着装了lantiq xrx200和xray架构的包,都提示Bus error错误

另外也试了下LEDE中的MIPS架构的包,提示不兼容,装都装不上

K3C兼容性验证.png


==============================================

更新下:
发现SSH服务dropbear安装后可以启动,用密码登录不了,用SSH秘钥可以登录,说明xrx200至少有部分是兼容的



我的恩山、我的无线 The best wifi forum is right here.
发表于 2017-8-13 16:20 | 显示全部楼层
你显示不是都安装成功了吗

点评

就像你装个电脑的软件在手机上,即使给你装,能不能跑是另一回事。  详情 回复 发表于 2017-8-13 16:22
来自苹果客户端来自苹果客户端
我的恩山、我的无线 The best wifi forum is right here.
 楼主| 发表于 2017-8-13 16:22 | 显示全部楼层
ypjalt 发表于 2017-8-13 16:20
你显示不是都安装成功了吗

就像你装个电脑的软件在手机上,即使给你装,能不能跑是另一回事。
我的恩山、我的无线 The best wifi forum is right here.
发表于 2017-8-13 16:27 | 显示全部楼层
不对吧,安装dropbear 开SSH都可以,opwrt肯定是可以的

点评

哪个贴,我去学习下  详情 回复 发表于 2017-8-13 16:27
我的恩山、我的无线 The best wifi forum is right here.
 楼主| 发表于 2017-8-13 16:27 | 显示全部楼层
鲜锅兔儿 发表于 2017-8-13 16:27
不对吧,安装dropbear 开SSH都可以,opwrt肯定是可以的

哪个贴,我去学习下

点评

http://www.right.com.cn/forum/forum.php?mod=viewthread&tid=249744&page=1#pid2023655  详情 回复 发表于 2017-8-13 16:32
我的恩山、我的无线 The best wifi forum is right here.
发表于 2017-8-13 16:28 | 显示全部楼层
据某人说,指令集不一样,所以不兼容现有的
我的恩山、我的无线 The best wifi forum is right here.
发表于 2017-8-13 16:31 | 显示全部楼层
希望能兼容LEDE 啊
我的恩山、我的无线 The best wifi forum is right here.
发表于 2017-8-13 16:32 | 显示全部楼层
我的恩山、我的无线 The best wifi forum is right here.
发表于 2017-8-13 17:50 | 显示全部楼层
楼主测试了 坛友编译的55么?
我的恩山、我的无线 The best wifi forum is right here.
发表于 2017-8-13 18:21 | 显示全部楼层
我的天哪,今天最惨的消息
来自安卓客户端来自安卓客户端
我的恩山、我的无线 The best wifi forum is right here.
发表于 2017-8-13 21:12 | 显示全部楼层
悲剧了,上车的都惨了
我的恩山、我的无线 The best wifi forum is right here.
发表于 2017-8-13 21:45 | 显示全部楼层
至少可以去掉后门用官方
我的恩山、我的无线 The best wifi forum is right here.
发表于 2017-8-13 22:59 | 显示全部楼层
本帖最后由 opteronx 于 2017-8-13 23:25 编辑

lede中的mips包是肯定装不上的,显示mips的不是给这个核心用的,这个核心用的是mips_24kcxrx500和xrx200一样是34kc的核心,通用24kc的编译器。
斐讯官方固件编译过程中好像打开了1004kc的选项?测试ssl加密性能的时候看到的,不清楚具体情况
遇到bus error的情况我认为应该是缺少某些关键依赖,或者是某些编译上的细节问题,而不是编译版本不对。编译版本出错的现象很明显的,应当显示cannot execute binary file: Exec format error或者全文乱码
我的恩山、我的无线 The best wifi forum is right here.
发表于 2017-8-13 23:28 | 显示全部楼层
另外需要注意的是,openwrt cc的源中的默认内核版本是3.18,lede是4.x,而k3c只有3.10
我的恩山、我的无线 The best wifi forum is right here.
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|手机版|小黑屋|Archiver|手机APP版|恩山无线论坛 ( 苏ICP备05084872号-1 )  

GMT+8, 2017-8-22 13:23

Powered by Discuz! X3.3

© 2001-2017 Comsenz Inc.

快速回复 返回顶部 返回列表